<?php
/**
 * @file
 * Contains support form for miniOrange 2FA Login Module.
 */

 /**
 *  Showing Support form info.
 */
function mo_auth_support($form, &$form_state) {

    $form['markup_top'] = array(
        '#markup' => '<div class="mo_saml_table_layout_1"><div class="mo_saml_table_layout container">'
    );

    $form['markup_1'] = array(
        '#markup' => '<h3>Support </h3><hr><div><br/>Need any help? Just send us a query so we can help you.<br /><br /></div>',
    );

    $form['miniorange_2fa_email_address'] = array(
        '#type' => 'textfield',
        '#title' => t('Email Address'),
        '#attributes' => array('placeholder' => 'Enter your email'),
        '#required' => TRUE,
        '#default_value' => variable_get('mo_auth_customer_admin_email', ''),
    );

    $form['miniorange_2fa_phone_number'] = array(
        '#type' => 'textfield',
        '#title' => t('Phone number'),
        '#attributes' => array('placeholder' => 'Enter your phone number'),
        '#default_value' => variable_get('mo_auth_customer_admin_phone', ''),
    );

    $form['miniorange_2fa_support_query'] = array(
        '#type' => 'textarea',
        '#title' => t('Query'),
        '#cols' => '10',
        '#rows' => '5',
        '#attributes' => array('placeholder' => 'Write your query here'),
        '#required' => TRUE,
    );

    $form['miniorange_2fa_support_submit'] = array(
        '#type' => 'submit',
        '#value' => t('Submit Query'),
        '#submit' => array('mo_auth_support_submit'),
    );

    $form['miniorange_2fa_support_note'] = array(
        '#markup' => '<div><br/>If you want custom features in the plugin, just drop an email to <a href="mailto:info@xecurify.com">info@xecurify.com</a></div>'
    );

    return $form;
 }

 /**
  *  Send support query.
  */
function mo_auth_support_submit($form, &$form_state) {
    $email = $form['miniorange_2fa_email_address']['#value'];
    $phone = $form['miniorange_2fa_phone_number']['#value'];
    $query = $form['miniorange_2fa_support_query']['#value'];
    MoAuthUtilities::send_support_query($email, $phone, $query);
}
